Features of the Installer
Prev | Chapter 4. Installing the NVIDIA Driver | Next

## Features of the Installer

Without options, the `.run` file executes the installer after unpacking it. The installer can be run as a separate step in the process, or can be run at a later time to get updates, etc. Some of the more important commandline options of `nvidia-installer` are:

`nvidia-installer` options

`--uninstall`

  During installation, the installer will make backups of any conflicting files and record the installation of new files. The uninstall option undoes an install, restoring the system to its pre-install state.

`--latest`

  Connect to NVIDIA's FTP site, and report the latest driver version and the url to the latest driver file.

`--update`

  Connect to NVIDIA's FTP site, download the most recent driver file, and install it.

`--ui=none`

  The installer uses an ncurses-based user interface if it is able to locate the correct ncurses library. Otherwise, it will fall back to a simple commandline user interface. This option disables the use of the ncurses library.

Prev | Up | Next
Installing the Kernel Interface | Home | Chapter 5. Listing of Installed Components